From utisoft@hotmail.com  Sat Jun  4 08:35:56 2011
Return-Path: <utisoft@hotmail.com>
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2001:4f8:fff6::34])
	by hub.freebsd.org (Postfix) with ESMTP id D1BB6106566B
	for <FreeBSD-gnats-submit@freebsd.org>; Sat,  4 Jun 2011 08:35:56 +0000 (UTC)
	(envelope-from utisoft@hotmail.com)
Received: from blu0-omc1-s24.blu0.hotmail.com (blu0-omc1-s24.blu0.hotmail.com [65.55.116.35])
	by mx1.freebsd.org (Postfix) with ESMTP id 8A1A58FC15
	for <FreeBSD-gnats-submit@freebsd.org>; Sat,  4 Jun 2011 08:35:56 +0000 (UTC)
Received: from BLU0-SMTP48 ([65.55.116.9]) by blu0-omc1-s24.blu0.hotmail.com with Microsoft SMTPSVC(6.0.3790.4675);
	 Sat, 4 Jun 2011 01:35:56 -0700
Received: from zeus.bayofrum.net ([90.221.7.100]) by BLU0-SMTP48.phx.gbl over TLS secured channel with Microsoft SMTPSVC(6.0.3790.4675);
	 Sat, 4 Jun 2011 01:35:54 -0700
Received: from zeus.bayofrum.net (crees@localhost [127.0.0.1])
	by zeus.bayofrum.net (8.14.4/8.14.4) with ESMTP id p548MpWZ074808
	(version=TLSv1/SSLv3 cipher=DHE-DSS-AES256-SHA bits=256 verify=NO)
	for <FreeBSD-gnats-submit@freebsd.org>; Sat, 4 Jun 2011 09:22:52 +0100 (BST)
	(envelope-from chris@zeus.bayofrum.net)
Received: (from crees@localhost)
	by zeus.bayofrum.net (8.14.4/8.14.4/Submit) id p548MpiN074807;
	Sat, 4 Jun 2011 09:22:51 +0100 (BST)
	(envelope-from chris)
Message-Id: <BLU0-SMTP486110875BAFE9379AF959A97E0@phx.gbl>
Date: Sat, 4 Jun 2011 09:22:51 +0100
From: Chris Rees <utisoft@gmail.com>
Sender: <utisoft@hotmail.com>
Reply-To: Chris Rees <utisoft@gmail.com>
To: FreeBSD-gnats-submit@freebsd.org
Cc:
Subject: Fix port: dns/curvedns should use USERS
X-Send-Pr-Version: 3.113
X-GNATS-Notify: freebsd@dns-lab.com

>Number:         157577
>Category:       ports
>Synopsis:       Fix port: dns/curvedns should use USERS
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    crees
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Sat Jun 04 08:40:09 UTC 2011
>Closed-Date:    Thu Jun 23 16:39:46 UTC 2011
>Last-Modified:  Thu Jun 23 16:39:46 UTC 2011
>Originator:     Chris Rees
>Release:        FreeBSD 8.2-RELEASE-p1 i386
>Organization:
bayofrum
>Environment:
System: FreeBSD zeus.bayofrum.net 8.2-RELEASE-p1 FreeBSD 8.2-RELEASE-p1 #0: Sat Apr 30 15:09:06 BST 2011 root@zeus.bayofrum.net:/usr/obj/usr/src/sys/ZEUS i386


	
>Description:
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=.
>How-To-Repeat:
	
>Fix:

	

	- Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)

	Please bear in mind that pkg-install has been removed


--- dns-curvedns.patch begins here ---
Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/dns/curvedns/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	25 Mar 2011 20:16:51 -0000	1.2
+++ Makefile	2 Jun 2011 15:09:10 -0000
@@ -22,16 +22,10 @@
 CONFIGURE_SCRIPT=	configure.nacl
 ALL_TARGET=		# yes, an empty target.
 
-CURVE_USER=		bind
-CURVE_GROUP=		bind
-CURVE_UID=		53
-CURVE_GID=		53
-
-SUB_FILES=		pkg-install pkg-message pkg-deinstall
-SUB_LIST=		CURVE_USER=${CURVE_USER} \
-			CURVE_GROUP=${CURVE_GROUP} \
-			CURVE_UID=${CURVE_UID} \
-			CURVE_GID=${CURVE_GID}
+USERS=		bind
+GROUPS=		bind
+
+SUB_FILES=		pkg-message pkg-deinstall
 
 .include <bsd.port.pre.mk>
 
@@ -58,7 +52,6 @@
 	${CHOWN} -R ${CURVE_UID}:${CURVE_GID} ${PREFIX}/etc/curvedns
 	${CHMOD} 755 ${PREFIX}/etc/curvedns/run ${PREFIX}/etc/curvedns/log/run
 	${CHMOD} 0700 ${PREFIX}/etc/curvedns/env
-	${SH} ${PKGINSTALL}
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
Index: files/pkg-install.in
===================================================================
RCS file: files/pkg-install.in
diff -N files/pkg-install.in
--- files/pkg-install.in	4 Mar 2011 13:45:40 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,25 +0,0 @@
-#!/bin/sh
-# $FreeBSD: ports/dns/curvedns/files/pkg-install.in,v 1.1 2011/03/04 13:45:40 miwi Exp $
-
-if ! pw groupshow %%CURVE_GROUP%% 2>/dev/null 1>&2; then
-	if pw groupadd %%CURVE_GROUP%% -g %%CURVE_GID%%; then
-		echo "Added group %%CURVE_GROUP%%"
-	else
-		echo "Adding group %%CURVE_GROUP%% failed..."
-		exit 1
-	fi
-fi
-
-if ! pw usershow %%CURVE_USER%% 2>/dev/null 1>&2; then
-	if pw useradd %%CURVE_USER%% -u %%CURVE_UID%% -g %%CURVE_GROUP%% -h - \
-		-s "/usr/sbin/nologin" -d "/" \
-		-c "Bind Sandbox"; \
-	then
-		echo "Added user %%CURVE_USER%%"
-	else
-		echo "Adding user %%CURVE_USER%% failed..."
-		exit 1
-	fi
-fi
-
-exit 0
--- dns-curvedns.patch ends here ---



-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

>Release-Note:
>Audit-Trail:
Responsible-Changed-From-To: freebsd-ports-bugs->pgollucci 
Responsible-Changed-By: edwin 
Responsible-Changed-When: Sat Jun 4 08:40:18 UTC 2011 
Responsible-Changed-Why:  
pgollucci@ wants his PRs (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157577 
State-Changed-From-To: open->feedback 
State-Changed-By: edwin 
State-Changed-When: Sat Jun 4 08:40:23 UTC 2011 
State-Changed-Why:  
Awaiting maintainers feedback (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157577 

From: Edwin Groothuis <edwin@FreeBSD.org>
To: freebsd@dns-lab.com
Cc: bug-followup@FreeBSD.org
Subject: Re: ports/157577: Fix port: dns/curvedns should use USERS
Date: Sat, 4 Jun 2011 08:40:21 UT

 Maintainer of dns/curvedns,
 
 Please note that PR ports/157577 has just been submitted.
 
 If it contains a patch for an upgrade, an enhancement or a bug fix
 you agree on, reply to this email stating that you approve the patch
 and a committer will take care of it.
 
 The full text of the PR can be found at:
     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157577
 
 -- 
 Edwin Groothuis via the GNATS Auto Assign Tool
 edwin@FreeBSD.org

From: Leo Vandewoestijne <leo@unicycle.net>
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/157577: Fix port: dns/curvedns should use USERS
Date: Sat, 4 Jun 2011 16:21:56 +0000

 In Makefile removing the lines
 
 CURVE_UID=              53
 CURVE_GID=              53
 
 is breaking these post-install section lines:
 
         ${ECHO} ${CURVE_UID} > ${PREFIX}/etc/curvedns/env/UID
         ${ECHO} ${CURVE_GID} > ${PREFIX}/etc/curvedns/env/GID
         ${CHOWN} -R ${CURVE_UID}:${CURVE_GID} ${PREFIX}/etc/curvedns
 
 I don't know if it's the best solution, but if so,
 then I suggest to also change those lines to:
 
         ${ECHO} 53 > ${PREFIX}/etc/curvedns/env/UID
         ${ECHO} 53 > ${PREFIX}/etc/curvedns/env/GID
         ${CHOWN} -R 53:53 ${PREFIX}/etc/curvedns
 
 Or otherwise don't remove the variables/assignments.
 
 
 
 An issue not related to this patch, but related to the user issue:
 
 another thing that currently prevents the port from working instantly
 is the default user in the "run" file.
 By default it is set to "curvedns" but should be modified to "bind".
 Therefor I would like to add an instruction to files/pkg-message.in
 
 ***************
 *** 9,10 ****
 --- 9,11 ----
    $EDITOR %%PREFIX%%/etc/curvedns/run
 +  # set user to "bind", and modify IP's, and ports if needed.
 
 
 
 -- 
 
 Met vriendelijke groet,
 With kind regards,
 
 
 Leo Vandewoestijne.
 
   AS50381 / DNS-Lab
   <leo@dns-lab.com>
   <www.as50381.net>
 
 INOC-DBA: 50381*100
 
 PGP: dig +multiline leo.unicycle.net. cert
 PGP: whois -r PGPKEY-FA19624D
 
Responsible-Changed-From-To: pgollucci->crees 
Responsible-Changed-By: crees 
Responsible-Changed-When: Wed Jun 22 16:50:34 UTC 2011 
Responsible-Changed-Why:  


http://www.freebsd.org/cgi/query-pr.cgi?pr=157577 
State-Changed-From-To: feedback->closed 
State-Changed-By: crees 
State-Changed-When: Thu Jun 23 16:39:45 UTC 2011 
State-Changed-Why:  
Superseded by ports/157854 

http://www.freebsd.org/cgi/query-pr.cgi?pr=157577 
>Unformatted:
